package com.mortals.xhx.module.datum.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:DatumFile
* date: 2021-9-6 14:40:57
*/
public class DatumFileQuery extends DatumFileEntity{
    private static final long serialVersionUID = 1630910457472L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 附件ID */
    private Long tidStart;

    /** 结束 附件ID */
    private Long tidEnd;

    /** 增加 附件ID */
    private Long tidIncrement;

    /** 附件ID */
    private List <Long> tidList;

    /** 开始 材料id 政务网 */
    private Long datumidStart;

    /** 结束 材料id 政务网 */
    private Long datumidEnd;

    /** 增加 材料id 政务网 */
    private Long datumidIncrement;

    /** 材料id 政务网 */
    private List <Long> datumidList;


    /** 开始 用户事项id(gra_matterdatum的id) */
    private Integer fdatumidStart;

    /** 结束 用户事项id(gra_matterdatum的id) */
    private Integer fdatumidEnd;

    /** 增加 用户事项id(gra_matterdatum的id) */
    private Integer fdatumidIncrement;

    /** 用户事项id(gra_matterdatum的id) */
    private List <Integer> fdatumidList;

    /** 上传资料地址 */
    private List<String> fileList;
    /** 开始 上传时间 */
    private String uploadtimeStart;

    /** 结束 上传时间 */
    private String uploadtimeEnd;

    /** 开始 状态 1资料上传 2确认提交 */
    private Integer typeStart;

    /** 结束 状态 1资料上传 2确认提交 */
    private Integer typeEnd;

    /** 增加 状态 1资料上传 2确认提交 */
    private Integer typeIncrement;

    /** 状态 1资料上传 2确认提交 */
    private List <Integer> typeList;

    /** 开始 审核是否不通过 0待审核 1不通过 2通过 */
    private Integer examineStart;

    /** 结束 审核是否不通过 0待审核 1不通过 2通过 */
    private Integer examineEnd;

    /** 增加 审核是否不通过 0待审核 1不通过 2通过 */
    private Integer examineIncrement;

    /** 审核是否不通过 0待审核 1不通过 2通过 */
    private List <Integer> examineList;

    /** 不通过原因 */
    private List<String> summaryList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatumFileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatumFileQuery> andConditionList;


    public DatumFileQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 附件ID
    * @return tidStart
    */
    public Long getTidStart(){
    return this.tidStart;
    }

    /**
    * 设置 开始 附件ID
    * @param tidStart
    */
    public void setTidStart(Long tidStart){
    this.tidStart = tidStart;
    }

    /**
    * 获取 结束 附件ID
    * @return tidEnd
    */
    public Long getTidEnd(){
    return this.tidEnd;
    }

    /**
    * 设置 结束 附件ID
    * @param tidEnd
    */
    public void setTidEnd(Long tidEnd){
    this.tidEnd = tidEnd;
    }

    /**
    * 获取 增加 附件ID
    * @return tidIncrement
    */
    public Long getTidIncrement(){
    return this.tidIncrement;
    }

    /**
    * 设置 增加 附件ID
    * @param tidIncrement
    */
    public void setTidIncrement(Long tidIncrement){
    this.tidIncrement = tidIncrement;
    }

    /**
    * 获取 附件ID
    * @return tidList
    */
    public List<Long> getTidList(){
    return this.tidList;
    }

    /**
    * 设置 附件ID
    * @param tidList
    */
    public void setTidList(List<Long> tidList){
        this.tidList = tidList;
        }
    /**
    * 获取 开始 材料id 政务网
    * @return datumidStart
    */
    public Long getDatumidStart(){
    return this.datumidStart;
    }

    /**
    * 设置 开始 材料id 政务网
    * @param datumidStart
    */
    public void setDatumidStart(Long datumidStart){
    this.datumidStart = datumidStart;
    }

    /**
    * 获取 结束 材料id 政务网
    * @return datumidEnd
    */
    public Long getDatumidEnd(){
    return this.datumidEnd;
    }

    /**
    * 设置 结束 材料id 政务网
    * @param datumidEnd
    */
    public void setDatumidEnd(Long datumidEnd){
    this.datumidEnd = datumidEnd;
    }

    /**
    * 获取 增加 材料id 政务网
    * @return datumidIncrement
    */
    public Long getDatumidIncrement(){
    return this.datumidIncrement;
    }

    /**
    * 设置 增加 材料id 政务网
    * @param datumidIncrement
    */
    public void setDatumidIncrement(Long datumidIncrement){
    this.datumidIncrement = datumidIncrement;
    }

    /**
    * 获取 材料id 政务网
    * @return datumidList
    */
    public List<Long> getDatumidList(){
    return this.datumidList;
    }

    /**
    * 设置 材料id 政务网
    * @param datumidList
    */
    public void setDatumidList(List<Long> datumidList){
        this.datumidList = datumidList;
        }
    /**
    * 获取 开始 用户事项id(gra_matterdatum的id)
    * @return fdatumidStart
    */
    public Integer getFdatumidStart(){
        return this.fdatumidStart;
    }

    /**
    * 设置 开始 用户事项id(gra_matterdatum的id)
    * @param fdatumidStart
    */
    public void setFdatumidStart(Integer fdatumidStart){
        this.fdatumidStart = fdatumidStart;
    }

    /**
    * 获取 结束 用户事项id(gra_matterdatum的id)
    * @return fdatumidEnd
    */
    public Integer getFdatumidEnd(){
        return this.fdatumidEnd;
    }

    /**
    * 设置 结束 用户事项id(gra_matterdatum的id)
    * @param fdatumidEnd
    */
    public void setFdatumidEnd(Integer fdatumidEnd){
        this.fdatumidEnd = fdatumidEnd;
    }

    /**
    * 获取 增加 用户事项id(gra_matterdatum的id)
    * @return fdatumidIncrement
    */
    public Integer getFdatumidIncrement(){
        return this.fdatumidIncrement;
    }

    /**
    * 设置 增加 用户事项id(gra_matterdatum的id)
    * @param fdatumidIncrement
    */
    public void setFdatumidIncrement(Integer fdatumidIncrement){
        this.fdatumidIncrement = fdatumidIncrement;
    }

    /**
    * 获取 用户事项id(gra_matterdatum的id)
    * @return fdatumidList
    */
    public List<Integer> getFdatumidList(){
        return this.fdatumidList;
    }

    /**
    * 设置 用户事项id(gra_matterdatum的id)
    * @param fdatumidList
    */
    public void setFdatumidList(List<Integer> fdatumidList){
        this.fdatumidList = fdatumidList;
    }
    /**
    * 获取 上传资料地址
    * @return fileList
    */
    public List<String> getFileList(){
        return this.fileList;
    }

    /**
    * 设置 上传资料地址
    * @param fileList
    */
    public void setFileList(List<String> fileList){
        this.fileList = fileList;
    }
    /**
    * 获取 开始 上传时间
    * @return uploadtimeStart
    */
    public String getUploadtimeStart(){
    return this.uploadtimeStart;
    }

    /**
    * 设置 开始 上传时间
    * @param uploadtimeStart
    */
    public void setUploadtimeStart(String uploadtimeStart){
    this.uploadtimeStart = uploadtimeStart;
    }

    /**
    * 获取 结束 上传时间
    * @return uploadtimeEnd
    */
    public String getUploadtimeEnd(){
    return this.uploadtimeEnd;
    }

    /**
    * 设置 结束 上传时间
    * @param uploadtimeEnd
    */
    public void setUploadtimeEnd(String uploadtimeEnd){
    this.uploadtimeEnd = uploadtimeEnd;
    }
    /**
    * 获取 开始 状态 1资料上传 2确认提交
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 状态 1资料上传 2确认提交
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 状态 1资料上传 2确认提交
    * @return typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 状态 1资料上传 2确认提交
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 状态 1资料上传 2确认提交
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 状态 1资料上传 2确认提交
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 状态 1资料上传 2确认提交
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 状态 1资料上传 2确认提交
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 开始 审核是否不通过 0待审核 1不通过 2通过
    * @return examineStart
    */
    public Integer getExamineStart(){
        return this.examineStart;
    }

    /**
    * 设置 开始 审核是否不通过 0待审核 1不通过 2通过
    * @param examineStart
    */
    public void setExamineStart(Integer examineStart){
        this.examineStart = examineStart;
    }

    /**
    * 获取 结束 审核是否不通过 0待审核 1不通过 2通过
    * @return examineEnd
    */
    public Integer getExamineEnd(){
        return this.examineEnd;
    }

    /**
    * 设置 结束 审核是否不通过 0待审核 1不通过 2通过
    * @param examineEnd
    */
    public void setExamineEnd(Integer examineEnd){
        this.examineEnd = examineEnd;
    }

    /**
    * 获取 增加 审核是否不通过 0待审核 1不通过 2通过
    * @return examineIncrement
    */
    public Integer getExamineIncrement(){
        return this.examineIncrement;
    }

    /**
    * 设置 增加 审核是否不通过 0待审核 1不通过 2通过
    * @param examineIncrement
    */
    public void setExamineIncrement(Integer examineIncrement){
        this.examineIncrement = examineIncrement;
    }

    /**
    * 获取 审核是否不通过 0待审核 1不通过 2通过
    * @return examineList
    */
    public List<Integer> getExamineList(){
        return this.examineList;
    }

    /**
    * 设置 审核是否不通过 0待审核 1不通过 2通过
    * @param examineList
    */
    public void setExamineList(List<Integer> examineList){
        this.examineList = examineList;
    }
    /**
    * 获取 不通过原因
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 不通过原因
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public DatumFileQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public DatumFileQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public DatumFileQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public DatumFileQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public DatumFileQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  附件ID
    * @param tid
    */
    public DatumFileQuery tid(Long tid){
	    setTid(tid);
		return this;
    }
	
	 /**
    * 设置 开始 附件ID
    * @param tidStart
    */
    public DatumFileQuery tidStart(Long tidStart){
		this.tidStart = tidStart;
		return this;
    }

    /**
    * 设置 结束 附件ID
    * @param tidEnd
    */
    public DatumFileQuery tidEnd(Long tidEnd){
		this.tidEnd = tidEnd;
		return this;
    }

    /**
    * 设置 增加 附件ID
    * @param tidIncrement
    */
    public DatumFileQuery tidIncrement(Long tidIncrement){
		this.tidIncrement = tidIncrement;
		return this;
    }

    /**
    * 设置 附件ID
    * @param tidList
    */
    public DatumFileQuery tidList(List<Long> tidList){
        this.tidList = tidList;
		return this;
        }

	/**
    * 设置  材料id 政务网
    * @param datumid
    */
    public DatumFileQuery datumid(Long datumid){
	    setDatumid(datumid);
		return this;
    }
	
	 /**
    * 设置 开始 材料id 政务网
    * @param datumidStart
    */
    public DatumFileQuery datumidStart(Long datumidStart){
		this.datumidStart = datumidStart;
		return this;
    }

    /**
    * 设置 结束 材料id 政务网
    * @param datumidEnd
    */
    public DatumFileQuery datumidEnd(Long datumidEnd){
		this.datumidEnd = datumidEnd;
		return this;
    }

    /**
    * 设置 增加 材料id 政务网
    * @param datumidIncrement
    */
    public DatumFileQuery datumidIncrement(Long datumidIncrement){
		this.datumidIncrement = datumidIncrement;
		return this;
    }

    /**
    * 设置 材料id 政务网
    * @param datumidList
    */
    public DatumFileQuery datumidList(List<Long> datumidList){
        this.datumidList = datumidList;
		return this;
        }
	
	/**
    * 设置  用户事项id(gra_matterdatum的id)
    * @param fdatumid
    */
    public DatumFileQuery fdatumid(Integer fdatumid){
        setFdatumid(fdatumid);
		return this;
    }

    /**
    * 设置 开始 用户事项id(gra_matterdatum的id)
    * @param fdatumidStart
    */
    public DatumFileQuery fdatumidStart(Integer fdatumidStart){
        this.fdatumidStart = fdatumidStart;
		return this;
    }


    /**
    * 设置 结束 用户事项id(gra_matterdatum的id)
    * @param fdatumidEnd
    */
    public DatumFileQuery fdatumidEnd(Integer fdatumidEnd){
        this.fdatumidEnd = fdatumidEnd;
		return this;
    }


    /**
    * 设置 增加 用户事项id(gra_matterdatum的id)
    * @param fdatumidIncrement
    */
    public DatumFileQuery fdatumidIncrement(Integer fdatumidIncrement){
        this.fdatumidIncrement = fdatumidIncrement;
		return this;
    }


    /**
    * 设置 用户事项id(gra_matterdatum的id)
    * @param fdatumidList
    */
    public DatumFileQuery fdatumidList(List<Integer> fdatumidList){
        this.fdatumidList = fdatumidList;
		return this;
    }
	/**
    * 设置 上传资料地址
    * @param file
    */
    public DatumFileQuery file(String file){
        setFile(file);
		return this;
    }


    /**
    * 设置 上传资料地址
    * @param fileList
    */
    public DatumFileQuery fileList(List<String> fileList){
        this.fileList = fileList;
		return this;
    }

    /**
    * 设置 开始 上传时间
    * @param uploadtimeStart
    */
    public DatumFileQuery uploadtimeStart(String uploadtimeStart){
		this.uploadtimeStart = uploadtimeStart;
		return this;
    }


    /**
    * 设置 结束 上传时间
    * @param uploadtimeEnd
    */
    public DatumFileQuery uploadtimeEnd(String uploadtimeEnd){
		this.uploadtimeEnd = uploadtimeEnd;
		return this;
    }
	
	/**
    * 设置  状态 1资料上传 2确认提交
    * @param type
    */
    public DatumFileQuery type(Integer type){
        setType(type);
		return this;
    }

    /**
    * 设置 开始 状态 1资料上传 2确认提交
    * @param typeStart
    */
    public DatumFileQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
		return this;
    }


    /**
    * 设置 结束 状态 1资料上传 2确认提交
    * @param typeEnd
    */
    public DatumFileQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
		return this;
    }


    /**
    * 设置 增加 状态 1资料上传 2确认提交
    * @param typeIncrement
    */
    public DatumFileQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
		return this;
    }


    /**
    * 设置 状态 1资料上传 2确认提交
    * @param typeList
    */
    public DatumFileQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
    }
	
	/**
    * 设置  审核是否不通过 0待审核 1不通过 2通过
    * @param examine
    */
    public DatumFileQuery examine(Integer examine){
        setExamine(examine);
		return this;
    }

    /**
    * 设置 开始 审核是否不通过 0待审核 1不通过 2通过
    * @param examineStart
    */
    public DatumFileQuery examineStart(Integer examineStart){
        this.examineStart = examineStart;
		return this;
    }


    /**
    * 设置 结束 审核是否不通过 0待审核 1不通过 2通过
    * @param examineEnd
    */
    public DatumFileQuery examineEnd(Integer examineEnd){
        this.examineEnd = examineEnd;
		return this;
    }


    /**
    * 设置 增加 审核是否不通过 0待审核 1不通过 2通过
    * @param examineIncrement
    */
    public DatumFileQuery examineIncrement(Integer examineIncrement){
        this.examineIncrement = examineIncrement;
		return this;
    }


    /**
    * 设置 审核是否不通过 0待审核 1不通过 2通过
    * @param examineList
    */
    public DatumFileQuery examineList(List<Integer> examineList){
        this.examineList = examineList;
		return this;
    }
	/**
    * 设置 不通过原因
    * @param summary
    */
    public DatumFileQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 不通过原因
    * @param summaryList
    */
    public DatumFileQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public DatumFileQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public DatumFileQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public DatumFileQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public DatumFileQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public DatumFileQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public DatumFileQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public DatumFileQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public DatumFileQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DatumFileQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DatumFileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DatumFileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DatumFileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}